﻿#region File Header

/* File Name    : FacebookQueryField.cs
 * Description  : Represents a comma separated string of Facebook query fields to be retrieved/submitted
 * Log
 * Date             Author              Description
 * 16-Oct-2011      Robin Jome          Created the class
 * 17-Oct-2011      Robin Jome          Removed ToString() overload
 */

#endregion

#region Namepsaces

using System.Collections.Generic;

#endregion

namespace FacebookAPI.FacebookProperties
{
    #region Class

    /// <summary>
    /// Represents a comma separated string of Facebook query fields to be retrieved/submitted
    /// </summary>
    internal class FacebookQueryField
    {
        #region Properties

        /// <summary>
        /// Gets or sets the value of FieldName
        /// </summary>
        /// <value></value>
        public string FieldName { get; set; }

        /// <summary>
        /// Gets or sets the value of FieldValues
        /// </summary>
        /// <value></value>
        public List<string> FieldValues { get; set; }

        #endregion
    }

    #endregion
}
