﻿#region File Header

/* File Name    : UserManager.cs
 * Description  : Contains methods to retrieve user details
 * Log
 * Date             Author              Description
 * 19-Oct-2011      Robin Jome          Class is created
 */

#endregion

#region Namespaces

using System.Collections.Generic;
using FacebookAPI.Base;
using FacebookAPI.FacebookProperties;
using FacebookAPI.Objects;

#endregion

namespace FacebookAPI.Managers
{
    #region Class

    /// <summary>
    /// Contains methods to retrieve user details
    /// </summary>
    public class FacebookUserManager
    {
        #region Methods

        /// <summary>
        /// Gets all the profile details of a Facebook user.
        /// </summary>
        /// <param name="facebookUserId">The Facebook user id of the user queried for.</param>
        /// <param name="accessToken">The user access token to be used.</param>
        /// <param name="fields">A comma separated list of fields to be queried. If null all values will be fetched.</param>
        /// <returns>Returns a User object</returns>
        public User GetUserDetails(string facebookUserId, string fields, string accessToken)
        {
            FacebookManager mgr = new FacebookManager();
            FacebookQueryField queryfield = null;
            if (!string.IsNullOrEmpty(fields))
            {
                queryfield = new FacebookQueryField()
               {
                   FieldName = "fields",
                   FieldValues = new List<string>() { fields }
               };
            }
            return mgr.GetObject<User>(mgr.GetUrl(facebookUserId, null, queryfield, null, accessToken, false));
        }

        #endregion
    }

    #endregion
}
