﻿using System;
using FacebookAPI.FacebookProperties;
using System.Text;

namespace FacebookAPI.Objects
{
    public class Note
    {
        public string Id { get; set; }

        public FacebookBaseObject From { get; set; }

        public string Subject { get; set; }

        public string Message { get; set; }

        public DateTime Created_Time { get; set; }

        public DateTime Updated_Time { get; set; }

        public Uri Icon{ get; set; }

        #region Methods

        /// <summary>
        /// Returns the data to be submitted in a POST request.
        /// </summary>
        /// <returns>Returns the data to be submitted in a POST request.</returns>
        internal string GetPostData()
        {
            StringBuilder postData = new StringBuilder();
            postData.Append("subject=").Append(Subject);
            postData.Append("&message=").Append(Message);
            return postData.ToString();
        }

        #endregion
    }
}
